import Panel from "../views/Panel";
export default class LeavePanel extends Panel{
    protected get skinKey(){  return 'Leave' }
    public closeBtn:eui.Button;
    public leaveBtn:eui.Button;
    public nextBtn:eui.Button;

    constructor(data){
        super();
    }

    initEvents(){
        this.onTap(this.closeBtn,this.onTap_closeBtn);
        this.onTap(this.nextBtn,this.onTap_closeBtn);
        this.onTap(this.leaveBtn,this.onTap_leave);
    }
    onTap_closeBtn(){
        this.hidePanel();
    }
    onTap_leave(){
        //退出游戏
    }

}